Crear un código QR
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/qr-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prefilledMessage": "Hi, I need help with my order"
}
'{
"code": "4O4YJHFAB3SLA1",
"prefilled_message": "Hi, I need help with my order",
"deep_link_url": "https://wa.me/message/4O4YJHFAB3SLA1",
"qr_image_url": "https://scontent.whatsapp.net/v/t61.24694-24/qr_4O4YJHFAB3SLA1.svg"
}Códigos QR
Crear un código QR
Crear un código QR. Consulta los parámetros, el ejemplo y las respuestas disponibles para esta operación.
POST
/
meta
/
phone-numbers
/
{phoneNumberId}
/
qr-codes
Crear un código QR
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/qr-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prefilledMessage": "Hi, I need help with my order"
}
'{
"code": "4O4YJHFAB3SLA1",
"prefilled_message": "Hi, I need help with my order",
"deep_link_url": "https://wa.me/message/4O4YJHFAB3SLA1",
"qr_image_url": "https://scontent.whatsapp.net/v/t61.24694-24/qr_4O4YJHFAB3SLA1.svg"
}Autorizaciones
Token bearer de Eazybe. El token identifica la organización y debe mantenerse en el servidor.
Parámetros de ruta
ID del número de teléfono devuelto por GET /meta/phone-numbers.
Cuerpo
application/json
{
"prefilledMessage": "Hi, I need help with my order"
}
Respuesta
200 - application/json
QR code created
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | phoneNumberId not linked to your organization | Verify the id |
400 | prefilledMessage missing or too long | Send a non-empty message |
502 | Graph unreachable or timed out | Retry with backoff |
¿Esta página le ayudó?